#ifndef __SNTP_H__
#define __SNTP_H__

#include "lwip/udp.h"
#include "lwip/def.h"
#include "lwip/timers.h"
#include "lwip/udp.h"
#include "lwip/dns.h"
#include "lwip/ip_addr.h"
#include "lwip/pbuf.h"

#include "stdbool.h"

/**
  * @brief  Синхронизация времени единоразово при включении контроллера
  */
void vTaskOnceSynchro(void *arg);

/**
  * @brief  Периодическая синхронизация времени.
  *         Выполняется раз в сутки с 0 часов.
  */
void vTaskPeriodicSynchro(void *arg);

void vTaskSntp(void *arg);

/**
  * @brief  Инициализация SNTP.
  * @retval 
  */
void SNTP_Init(void);

void SNTP_Enable(bool enable);

bool SNTP_IsEnabled(void);

void SNTP_SetServerAddr(char *addr);
int sntp_getserverport(void);
void SNTP_Poll(void);



/*
#ifdef __cplusplus
extern "C" {
#endif

void sntp_init(void);
void sntp_stop(void);

#ifdef __cplusplus
}
#endif
*/

#endif /* __SNTP_H__ */
